part of 'profile_bloc.dart';

sealed class ProfileEvent extends Equatable {
  const ProfileEvent();
}

final class GetProfileDataEvent extends ProfileEvent {
  const GetProfileDataEvent();

  @override
  List<Object?> get props => [];
}

final class EditProfileEvent extends ProfileEvent {
  const EditProfileEvent();

  @override
  List<Object?> get props => [];
}

final class UpdateProfileEvent extends ProfileEvent {
  const UpdateProfileEvent({
    required this.email,
    required this.fullName,
    required this.phone,
  });

  final String email;
  final String fullName;
  final String phone;

  @override
  List<Object?> get props => [email, fullName, phone];
}

final class DeleteProfileEvent extends ProfileEvent {
  const DeleteProfileEvent();

  @override
  List<Object?> get props => [];
}
